# Installation

WireBootstrap for Angular and its source code are available in GitHub at <https://github.com/WireBootstrap/angular>.

```git
git clone https://github.com/WireBootstrap/angular
```

## Sample Project

The solution includes a [sample project](/angular/sample-project.md) that demonstrates how to use WireBootstrap when developing in Angular.

After downloading or cloning the project, open it in a web application editor. The examples in this documentation use [Visual Studio Code](https://code.visualstudio.com) but any web editor can be used.  The project has no web service dependencies.

In Visual Studio Code, open a terminal window and run `npm install`.  This will install the`npm` packages required to run the project.

```shell-session
npm install
```

Next, in the same terminal window, run `ng serve --o` to open the default page in a new browser window.

```shell-session
ng serve --o
```

## WireBootstrap Angular Component

The [WireBootstrap Angular Component](#undefined) and it's source code are included as a separate Angular project in the `\projects\wire-angular` directory.  For new projects, the build version can also be installed by itself as an NPM package at `@wirebootstrap/wire-angular`.&#x20;

```javascript
npm install @wirebootstrap/wire-angular
```

### tsconfig.json

When using the WireBootstrap Angular Component in a new project, register the location of the WireBootstrap NPM scope root directory in the `compilerOptions.typeRoots` array inside the project's `tsconfig.json` file.

```json
{  
  "compilerOptions": {
  ...
    "typeRoots": [
      "./node_modules/@wirebootstrap"
      ]
  }
}
```

## angular.json

Installing the WireBootstrap Angular Component also installs the [core WireBootstrap library](https://docs.wirebootstrap.com/wirebootstrap/overview) and jQuery dependencies.

Register these libraries in the scripts array for the Angular project in the `angular.json` file.

```json
{
  ...
    "scripts": [
      "./node_modules/jquery/dist/jquery.js",
      "./node_modules/@wirebootstrap/wire/wire.js"
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wirebootstrap.com/angular/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
